<!DOCTYPE html>
<html lang="zh-tw">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>帳號清單</title>

  <!-- 引入Bootstrap 5.0 CDN -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>

  <!-- jQuery CDN -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
</head>
<body class="bg-light">
  <!-- 頂端工具列 -->
  <div id="header"></div>

  <div class="container vh-100">
    <!-- 預留頂端工具列下空間 -->
    <div style="height: 56px;"></div>
    <div class="mt-5">
      <h1>帳號清單</h1>
      <form id="search" class="d-flex flex-wrap justify-content-end">
        <div class="mb-3 d-inline-flex">
          <label for="id" class="form-label mb-0">編號</label>
          <input type="text" class="form-control form-control-sm w-auto mx-2" id="id" name="id">
        </div>
        <div class="mb-3 d-inline-flex">
          <label for="lastName" class="form-label mb-0">姓氏</label>
          <input type="text" class="form-control form-control-sm w-auto mx-2" id="lastName" name="lastName">
        </div>
        <div class="mb-3 d-inline-flex">
          <label for="firstName" class="form-label mb-0">名字</label>
          <input type="text" class="form-control form-control-sm w-auto mx-2" id="firstName" name="firstName">
        </div>
        <div class="mb-3 d-inline-flex">
          <label for="email" class="form-label mb-0">Email</label>
          <input type="email" class="form-control form-control-sm w-auto mx-2" id="email" name="email">
        </div>
        <div class="mb-3 d-inline-flex">
          <label for="admin" class="form-label mb-0">員工編號</label>
          <input type="text" class="form-control form-control-sm w-auto mx-2" id="admin" name="admin">
        </div>
        <div class="mb-3 d-inline-flex">
          <label for="deleted" class="form-label mb-0">軟刪除</label>
          <select name="deleted" id="deleted" class="form-control form-control-sm w-auto mx-2">
            <option value="">不指定</option>
            <option value="T">T</option>
            <option value="F">F</option>
          </select>
        </div>
        <div class="mb-3 d-inline-flex">
          <button type="button" id="submit" class="btn btn-sm btn-primary">查詢</button>
        </div>
      </form>
      <table class="table bg-white shadow-sm">
        <thead>
          <tr>
            <td>編號</td>
            <td>姓名</td>
            <td>Email</td>
            <td>員工編號</td>
            <td>軟刪除</td>
            <td id="manage">管理</td>
          </tr>
        </thead>
        <tbody>
          <!-- 表格內容樣板 -->
          <tr id="tbody-template" class="d-none">
            <td id="id"></td>
            <td id="name"></td>
            <td id="email"></td>
            <td id="admin"></td>
            <td id="deleted"></td>
            <td id="manage">
              <a id="profile" type="button" class="btn btn-sm btn-outline-primary px-3">詳細資料</a>
              <a id="edit" type="button" class="btn btn-sm btn-outline-primary px-3">編輯</a>
              <button id="delete" class="btn btn-sm btn-outline-danger px-3">刪除</button>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>

  <script src="/co_kitchen/statics/js/account/list.js"></script>
  <script src="/co_kitchen/statics/js/header.js"></script>
</body>
</html>